Skip to main content
GET
/
v1
/
manufacturer
/
devices
Get Manufacturer Devices
curl --request GET \
  --url https://api.nox.energy/v1/manufacturer/devices \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "device_id": "device_id_123",
      "energy_supplier": "Energy Supplier A",
      "dhw": {
        "temperature_upper_bound": 40,
        "temperature_lower_bound": 50
      },
      "optimization_settings": {
        "pv_self_consumption": true,
        "dynamic_tariff": true,
        "flex_trading": false
      },
      "country": "BE"
    },
    {
      "device_id": "device_id_456",
      "energy_supplier": "Energy Supplier B",
      "dhw": {
        "temperature_upper_bound": 45,
        "temperature_lower_bound": 55
      },
      "optimization_settings": {
        "pv_self_consumption": false,
        "dynamic_tariff": false,
        "flex_trading": true
      },
      "country": "NL"
    }
  ],
  "meta": {
    "manufacturer": "Manufacturer A",
    "next_token": "123556777"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

limit
integer
default:1000

The maximum number of items to return per page of results.

This should be used together with the next_token parameter to paginate through results.

Read the pagination parameter documentation for more details.

Required range: 1 <= x <= 4000
next_token
string | null

The next_token is a token used to retrieve the next page of results when there are more results than can fit in a single page(=API response).

By default, the API will return a next_token of the first page if no token was given as a parameter.

If the token is null you have reached the end of the results.

This should be used together with the limit parameter to paginate through results.

To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.

device_id
string | null

The ID of the device to filter on. If not provided, all devices are returned.

Response

Successful response for thermal-control API

The response is of type Response Get Manufacturer Devices V1 Manufacturer Devices Get · object.